// Code generated by mockery v2.53.0. DO NOT EDIT.

package pipeline

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
)

// MockEnvironmentGatekeeper is an autogenerated mock type for the EnvironmentGatekeeper type
type MockEnvironmentGatekeeper struct {
	mock.Mock
}

// checkEnvironmentRules provides a mock function with given fields: ctx, projectID, environmentName
func (_m *MockEnvironmentGatekeeper) checkEnvironmentRules(ctx context.Context, projectID string, environmentName string) error {
	ret := _m.Called(ctx, projectID, environmentName)

	if len(ret) == 0 {
		panic("no return value specified for checkEnvironmentRules")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string) error); ok {
		r0 = rf(ctx, projectID, environmentName)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// NewMockEnvironmentGatekeeper creates a new instance of MockEnvironmentGatekeeper. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockEnvironmentGatekeeper(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockEnvironmentGatekeeper {
	mock := &MockEnvironmentGatekeeper{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
